.\$Id: mstcorr.man,v 1.1 1999/04/04 15:53:57 doug Exp $ 
.if n .na
.TH MSTCORR 1 "3 January 1999" BDSN
.SH NAME
mstcorr - remove time tears greater than a specified size from MiniSEED files.
.SH SYNOPSIS
.B mstcorr
[\ \fB-U\fR\ ]
[\ \fB-g\ \fIusecs\fR\ ]
[\ \fB-l\fR\ ]
[\ \fB-d\ \fIn\fR\ ]
[\ \fB-h\fR\ ]
.if n .ti +5
[\ \fIinput_file\fR\ [\ \fIoutput_file\fR\ ]\|
\fIfiles\fR
.br...
.SH DESCRIPTION
The program
.B mstcorr
reads MiniSEED files, finds time tears that are greater or equal to the
specified mingap value and less or equal to the maximum gap value, and adds
the corresponding time correction to the time correction field in order to
remove the time tear.  Time tears smaller than the specified gap or larger
than the maximum gap are ignored.
.P
This program can be used to easily fix the time tears create by Quanterra's
handling of leapseconds.  Quanterra dataloggers are not directly aware of
leapseconds, and may introduce an apparent time gap of 1 second in the data
record following (or including) the leap second after the leapsecond the
external reference clock is one second slower than expected by the Quanterra
datalogger.  After the Quanterra determines the external reference clock to be
stable (which may take 10 minutes or more), the Quanterra will adopt the
external reference time, which will cause an apparent 1 second overlap.
.P
It is possible that both the initial time tear and the subsequence correction
may not be exactly 1 second, but may be spread across several records.  It may
be desireable to specify a much smaller gap value (eg in the milliseconds)
to handle this case.
.SH OPTIONS
.TP
\fB-U\fR
updates the input file with time corrections instead of creating a
separate output file.  The input file is actually replaced with a
updated MiniSEED file by the same name.
NOTE: If you use this option, the file list is treated as a list
of MiniSEED files to be updated instead of an optional input and
output file.
.TP
\fB-g\ \fIusecs\fR
specifies the minimum timetear in microseconds (usecs) that should
be corrected.  Any timetear smaller than this value will not be
corrected.  The default value is 1000 usecs (.001 seconds).
.TP
\fB-G\ \fIusecs\fR specifies the maximum timetear in microseconds (usecs) that
should be corrected.  Any timetear greater than than this value will not be
corrected.  If you specify a maximum value that is <= 0, this will supress the
maximum timetear check, and is equivalent to specifying an infinite maximum
value.  The default value is 2,000,000 usecs (2.000000 seconds).
.TP
\fB-l\fR
specifies that the leapsecond flag in the MiniSEED ACTIVITY_FLAG
field should be set in the appropriate MiniSEED record if a leapsecond
ocurrs within the record.
.TP
\fB-d \fInum\fR
specifies debugging information should be displayed.  
The debugging values may be added (or ORed) together to specify
more than one debugging option.
Current debugging options are:
.nf
.ta 1.0i
	1 = DEBUG_TCORR
.fi
.ad
Multiple debugging options can be specified by adding the appropriate values
together.
.TP
.B -h
print out a simple help message with syntax and explaination of the options.
.TP
\fIinput_file\fR
specifies the name of the input MiniSEED file to which time corrections
should be applied.  If no file is specified, read MiniSEED records from stdin.
.TP
\fIoutput_file\fR
specifies the name of the output MiniSEED file to which the time corrected 
records should be applied.  If no file is specified, write MiniSEED records 
to stdout.
.TP
\fIfiles\ ...\fR
.br
is a list of MiniSEED file to be updated with time corrections based
on the reference file.  This is used with the
.B -U
option.
.SH EXAMPLES
.nf
1.  Fix time tears in a file, writing to a new file.
    mstcorr BKS.BK.BHN.D.1997.200 BKS.BK.BHN.D.1997.200.new
2.  Fix time tears greater than .5 msec, replacing the original file.
    mstcorr -U -g 500 BKS.BK.HH?.D.1997.200
.fi
.SH BUGS
.P
1.  Since time corrections are applied only to timetears within the range of
[minimum,...maximum], this program may not always apply the "correct" time
correction to each record.  Some small timetears may indeed be
valid as the voltage controlled oscillator (VCO) varies with temperature.
.P
2.  If you specify an infinite maximum timetear threshold on triggered on non-continuous data,
the program will erroneously merge all of the data into a single contiguous time period.
.P
3. If you specify a maximum timetear that is larger than a real gap in a
triggered or non-continuous data channel, the program will erroneously delete
the real gap in the data.
.P
4.  You are STRONGLY encouraged to review the results to ensure that you are
satisified with the time correction.
.SH AUTHOR
Doug Neuhauser, UC Berkeley Seismological Laboratory, doug@seismo.berkeley.edu.
